For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList Event Subscriptions
      • POSTCreate an Event Subscription
      • GETGet an Event Subscription
      • PATCHUpdate an Event Subscription
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesEvent Subscriptions

Create an Event Subscription

POST
/v1/event_subscriptions
POST
/v1/event_subscriptions
$curl -X POST https://api.givechariot.com/v1/event_subscriptions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "url": "https://example.com/webhook",
> "category": "grant.created"
>}'
1{
2 "url": "https://example.com/webhook",
3 "id": "4d06d393-1f14-46cf-b02d-8db17d7ed06a",
4 "created_at": "2024-01-14T12:48:56.37Z",
5 "status": "active",
6 "category": "grant.created"
7}
Create an event subscription corresponding to your Chariot account.
Was this page helpful?
Previous

Get an Event Subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The request body for creating an event subscription
urlstringRequired
The webhook url where we'll send notifications.
categoryenumRequired
The category of the event. This is useful for filtering events.
signing_secretstringOptional
The key that will be used to sign webhooks. If no value is passed, a random string will be used as default. This is necessary to verify that the webhook is coming from Chariot. While this parameter is optional, it is highly recommended to pass a value for the secret and implement webhook signature verification.

Response

Created
urlstring
The webhook url where we'll send notifications.
idstringRead-only
The unique identifier for the event subscription
created_atstringRead-onlyformat: "date-time"
The date and time the event subscription was created
statusenum

The status of the event subscription. This indicates if we’ll send notifications to this subscription

  • active: subscription is active and events will be delivered normally
  • disabled: subscription is temporarily disabled and events will not be delivered
  • deleted: subscription has been deleted and events will not be delivered
  • requires_attention: subscription has been disabled due to delivery failures and events will not be delivered
Allowed values:
categoryenum
The category of the event. This is useful for filtering events.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error